/**
 * Converts weight between kilograms and pounds.
 * @param weight - The weight to convert.
 * @param unit - The unit of the input weight ("kg" for kilograms, "lb" for pounds).
 * @returns The converted weight in the opposite unit.
 * @throws Error if the weight is less than or equal to zero or if the unit is invalid.
 */
export declare function convertWeight(weight: number, unit: "kg" | "lb"): number;
